> For the complete documentation index, see [llms.txt](https://docs.gobtcpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gobtcpay.com/api-reference/pos-api/gobtc-pay-pos-api/payment-lifecycle.md).

# Payment lifecycle

A payment goes from creation to on-chain settlement. The terminal either polls **Get payment** or waits for the webhook until it reaches a terminal status.

```mermaid
sequenceDiagram
  participant T as POS terminal
  participant G as Gateway
  participant C as Customer wallet
  participant B as Bitcoin network
  T->>G: Create payment (amount, currency, ts, signature)
  G-->>T: paymentId, qrString, amountSats, expiresAt
  T->>C: display QR
  C->>G: pay (sign & settle payment)
  G->>B: broadcast transaction
  alt polling
    loop until cleared or expired
      T->>G: Get payment (paymentId, ts, signature)
      G-->>T: status
    end
  else webhook
    B-->>G: on-chain confirmation
    G-->>T: payment.status.updated (status)
  end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.gobtcpay.com/api-reference/pos-api/gobtc-pay-pos-api/payment-lifecycle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
